apiVersion: v1
kind: Service
metadata:
  name: {{ include "nginx-reverse-proxy.fullname" . }}
  labels:
{{ include "nginx-reverse-proxy.labels" . | indent 4 }}
spec:
  type: {{ .Values.service.type | default "ClusterIP" }}
  ports:  
    - port: {{ .Values.service.port | default 3000 }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    app.kubernetes.io/name: {{ include "nginx-reverse-proxy.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
